> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put reservationsstates

> Modifies the existing state of each Reservation identified in the accompanying
array of Change State Data values supplied in the argument value. The Change State Data values allow
the state of the Reservation to be updated by Users who are authorized to change the state of a Reservation.

The operation requires a **Change State Data Wrapper** value:

The service end point returns an array of Change State Data values matching the input values. Each Change State Data value
includes a boolean **succeeded** value, indicating that the state change of the Reservation identified in the Change
State Data value succeeded, and a **exceptionData** value which includes information about why a State Change may have
failed.

The operation requires a **Change State Data Wrapper** value:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /reservations/states
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /reservations/states:
    put:
      tags:
        - ReservationService
      description: >-
        Modifies the existing state of each Reservation identified in the
        accompanying

        array of Change State Data values supplied in the argument value. The
        Change State Data values allow

        the state of the Reservation to be updated by Users who are authorized
        to change the state of a Reservation.


        The operation requires a **Change State Data Wrapper** value:


        The service end point returns an array of Change State Data values
        matching the input values. Each Change State Data value

        includes a boolean **succeeded** value, indicating that the state change
        of the Reservation identified in the Change

        State Data value succeeded, and a **exceptionData** value which includes
        information about why a State Change may have

        failed.


        The operation requires a **Change State Data Wrapper** value:
      operationId: changeReservationState
      parameters: []
      requestBody:
        description: Wrapper container for list of Change State Data values
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  changes:
                    - exceptionData:
                        subErrorCode: 12345
                        arguments:
                          - {}
                          - {}
                        errorCode: 12345
                        identifier: 12345
                        message: ...
                      succeeded: true
                      suppressEmails: true
                      approveChildReservations: true
                      applyToRemaining: true
                      forQRCode: true
                      sysidReservation: 12345
                      sysidReservationActionType: 12345
                    - exceptionData:
                        subErrorCode: 12345
                        arguments:
                          - {}
                          - {}
                        errorCode: 12345
                        identifier: 12345
                        message: ...
                      succeeded: true
                      suppressEmails: true
                      approveChildReservations: true
                      applyToRemaining: true
                      forQRCode: true
                      sysidReservation: 12345
                      sysidReservationActionType: 12345
            schema:
              $ref: '#/components/schemas/ChangeStateDataWrapper'
      responses:
        '204':
          content:
            application/json:
              examples:
                example:
                  value:
                    changes:
                      - exceptionData:
                          subErrorCode: 12345
                          arguments:
                            - {}
                            - {}
                          errorCode: 12345
                          identifier: 12345
                          message: ...
                        succeeded: true
                        suppressEmails: true
                        approveChildReservations: true
                        applyToRemaining: true
                        forQRCode: true
                        sysidReservation: 12345
                        sysidReservationActionType: 12345
                      - exceptionData:
                          subErrorCode: 12345
                          arguments:
                            - {}
                            - {}
                          errorCode: 12345
                          identifier: 12345
                          message: ...
                        succeeded: true
                        suppressEmails: true
                        approveChildReservations: true
                        applyToRemaining: true
                        forQRCode: true
                        sysidReservation: 12345
                        sysidReservationActionType: 12345
              schema:
                $ref: '#/components/schemas/ChangeStateDataWrapper'
          description: >-
            List of ChangeStateData values with the success flag set for each
            reservation changed.



            com.agilquest.phoenix.shared.data.rest.wrapper.ChangeStateDataWrapper
components:
  schemas:
    ChangeStateDataWrapper:
      type: object
      title: ChangeStateDataWrapper
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            changes:
              type: array
              items:
                $ref: '#/components/schemas/ChangeStateData'
      example:
        changes:
          - exceptionData:
              subErrorCode: 12345
              arguments:
                - {}
                - {}
              errorCode: 12345
              identifier: 12345
              message: ...
            succeeded: true
            suppressEmails: true
            approveChildReservations: true
            applyToRemaining: true
            forQRCode: true
            sysidReservation: 12345
            sysidReservationActionType: 12345
          - exceptionData:
              subErrorCode: 12345
              arguments:
                - {}
                - {}
              errorCode: 12345
              identifier: 12345
              message: ...
            succeeded: true
            suppressEmails: true
            approveChildReservations: true
            applyToRemaining: true
            forQRCode: true
            sysidReservation: 12345
            sysidReservationActionType: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    ChangeStateData:
      type: object
      title: ChangeStateData
      required:
        - succeeded
        - suppressEmails
        - approveChildReservations
        - applyToRemaining
        - forQRCode
        - sysidReservationActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            exceptionData:
              $ref: '#/components/schemas/AgilquestExceptionData'
            succeeded:
              type: boolean
            suppressEmails:
              type: boolean
            approveChildReservations:
              type: boolean
            applyToRemaining:
              type: boolean
            forQRCode:
              type: boolean
            sysidReservation:
              type: integer
              format: int64
            sysidReservationActionType:
              type: integer
              format: int32
      example:
        exceptionData:
          subErrorCode: 12345
          arguments:
            - discriminator: ...
            - discriminator: ...
          errorCode: 12345
          identifier: 12345
          message: ...
        succeeded: true
        suppressEmails: true
        approveChildReservations: true
        applyToRemaining: true
        forQRCode: true
        sysidReservation: 12345
        sysidReservationActionType: 12345
    AgilquestExceptionData:
      type: object
      title: AgilquestExceptionData
      required:
        - subErrorCode
        - errorCode
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            subErrorCode:
              type: integer
              format: int32
            arguments:
              type: array
              items:
                $ref: '#/components/schemas/ExceptionArgument'
            errorCode:
              type: integer
              format: int32
            identifier:
              type: integer
              format: int32
            message:
              type: string
      example:
        subErrorCode: 12345
        arguments:
          - discriminator: ...
          - discriminator: ...
        errorCode: 12345
        identifier: 12345
        message: ...
    ExceptionArgument:
      discriminator: discriminator
      type: object
      title: ExceptionArgument
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
      example:
        discriminator: ...

````